#!/usr/bin/env python
#
# Had some problems with the below check
# at some point.
#
import coral

core = coral.Language.__getLanguage__("CORE", 0, 1)

c1 = coral.AnyElement
c2 = core.getElement("AnyElement")

print id(c1), type(c1), c1
print id(c2), type(c2), c2
assert(c1 == c2)
assert(id(c1) == id(c2))
